package com.huiju.estateagents.eContract.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import java.time.LocalDateTime;
import java.io.Serializable;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;
import org.springframework.beans.factory.annotation.Autowired;

/**
 * <p>
 * 公司印章 
 * </p>
 *
 * @author fxf
 * @since 2020-03-26
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
public class TaCompanySeal implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 印章id
     */
    @TableId(value = "seal_id", type = IdType.AUTO)
    private Integer sealId;

    /**
     * 创建时间
     */
    private LocalDateTime createDate;

    /**
     * 企业id
     */
    private Integer companyId;

    /**
     * 印章名称
     */
    private String sealName;

    /**
     * 印章图
     */
    private String sealImg;

    /**
     * 状态 1是有效0是无效-1是删除
     */
    private Integer status;

    /**
     * 签章id
     */
    private String signatureId;

    /**
     * 默认章
     */
    private Integer defaultSeal;
}
